import React from 'react';
import { Modal, Input, Row, Col } from 'antd';
import { role } from '@/types/role';
const layout = {
  labelCol: { span: 5 },
  wrapperCol: { span: 16 },
};

interface IProps {
  visible: boolean;
  curClub: role;
  onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
  onsubmit: () => void;
  closeModal: () => void;
}

const ClubModal: React.FC<IProps> = ({ visible, curClub, onsubmit, onChange, closeModal }) => {
  return (
    <Modal
      width="400px"
      visible={visible}
      title="修改俱乐部名称"
      onOk={() => onsubmit()}
      onCancel={closeModal}
    >
      <Row align="middle">
        <Col span={6}>俱乐部分类:</Col>
        <Col span={12}>{curClub.previousLabel}</Col>
      </Row>
      <Row align="middle" style={{ marginTop: '14px' }}>
        <Col span={6}>俱乐部名称:</Col>
        <Col span={12}>
          <Input value={curClub.label} onChange={(e) => onChange(e)} />
        </Col>
      </Row>
    </Modal>
  );
};

export default ClubModal;
