import request from '@/utils/request';


// 获取论坛代理商列表
type getAgentType = {
    curPage: number,
    state?: number ,
    roleId?: string,
    label?: string | number,
    pageSize: number
}

export async function getAgent(params: getAgentType): Promise<any> {
    return request('/forum/admin/agent', {
        params
    });
}


// 获取代理商详情
export async function getAgentDetail (id: string): Promise<any> {
    return request(`/forum/admin/agent/${id}`)
}


// 代理商 停用或者启用
type stopOrOpenAgentType = {
    state: number
}
export async function stopOrOpenAgent (id: string, params: stopOrOpenAgentType): Promise<any> {
    return request(`/forum/admin/agent/${id}`, { method: 'PATCH',  params })
}

