import request from '@/utils/request';

import type { PostOrPutNoticeType } from '@/pages/notice/data';
// 查询公告
type getNoticeType = {
  curPage: number;
  label: string;
};
export async function getNotice(params: getNoticeType): Promise<any> {
  return request('/forum/admin/notice', { params });
}
// 新增公告

export async function postOrPutNotice(data: PostOrPutNoticeType): Promise<any> {
  const { methodType } = data;
  return request('/forum/admin/notice', { method: methodType === 0 ? 'POST' : 'PUT', data });
}

// 查看详情
export async function getNoticeDetail(id: string): Promise<any> {
  return request(`/forum/admin/notice/${id}`);
}

// 删除公告
export async function deleteNotice(id: string): Promise<any> {
  return request(`/forum/admin/notice/${id}`, { method: 'DELETE' });
}
