import request from '@/utils/request';

import type { postOrPutPlateType} from '@/pages/tieba/plate/data'


// 查询分类

type getClassifyType = {
    curPage: number,
    label: string
}

export async function getClassify( params: getClassifyType ): Promise<any> {
  return request('/forum/admin/category', { params });
}


// 新增获取 修改分类
enum typeEnum {
    add,
    yes
}

type postOrPutClassifyType = {
    id?: string,
    label: string,
    type: typeEnum
}

export async function postOrPutClassify( data: postOrPutClassifyType ): Promise<any> {
    const { type } = data
    return request('/forum/admin/category', { data , method: type === 0 ? 'POST' : 'PATCH'});
}

// 删除分类
export async function deleteClassify( id: string ): Promise<any> {
    return request(`/forum/admin/category/${id}`, { method: 'DELETE'});
}

// 板块管理
type getPlateType = {
    curPage: number,
    label?: string,
    typeId?: string,
    pageSize?: number
}
export async function getPlate( params: getPlateType ): Promise<any> {
    return request(`/forum/admin/bar`, { params });
}

// 新增或者编辑贴吧

export async function postOrPutPlate( data: postOrPutPlateType ): Promise<any> {
    const { type } = data
    return request(`/forum/admin/bar`, {method: type === 0 ? 'POST' : 'PUT',  data });
}


// 改变发布状态

type changeTiebaStateType = {
    id: string,
    state: number
}

export async function changeTiebaState ( params: changeTiebaStateType ): Promise<any> {
    return request(`/forum/admin/bar`, {method: "PATCH",  params });
}


// 帖子 ------------------------------------------------------
// 查询帖子
type getPostsType = {
    curPage: number,
    barId?: string
    categoryId?: string
    label?: string,
    type: number
}

export async function getPosts ( params: getPostsType ): Promise<any> {
    const { type } = params
    return request( type === 0 ?  `/forum/admin/posts` : '/forum/admin/issue', { params });
}


// 封禁 or 解封

type enablePostsType = {
    id: string,
    enable: number,
    type: number
}

export async function enablePosts ( params: enablePostsType ): Promise<any> {
    const { type } = params
    return request( type === 0 ?  `/forum/admin/posts` : '/forum/admin/issue', {method: 'PATCH', params });
}



// 查详情
export async function getPostsDetail ( id: string, type: number ): Promise<any> {
    return request( type === 0 ?  `/forum/admin/posts/${id}` : `/forum/admin/issue/${id}`);
}